package mygraphs;

import com.stimware.graphworkbench.spi.Algorithm;
import com.stimware.graphworkbench.spi.Description;
import com.stimware.graphworkbench.spi.Parameter;
import java.awt.Color;

/**
 * A sample algorithm to use as a template.
 */
@Description(name="Sample")
public class SampleAlgorithm implements Algorithm {

    private Color color;

    @Parameter(label="Background Color", defaultValue="blue")
    public void setColor(Color color) {
        this.color = color;
    }

    public Color calculate(double x, double y) throws Exception {
        return color;
    }
}
